Summary: Library to access the iPod
Summary(ja): iPod にアクセスするためのライブラリ
Name: libgpod
Version: 0.7.2
Release: 1%{?_dist_release}
Group: System Environment/Libraries
License: LGPL
Buildroot: %{_tmppath}/%{name}-%{version}-root

Source: %{name}-%{version}.tar.gz
URL: http://www.gtkpod.org/libgpod.html

BuildRequires: glib2-devel >= 2.8.0
BuildRequires: libffi-devel
#BuildRequires: dbus-devel >= 0.61
BuildRequires: gtk-doc

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package devel
Summary: Support files necessary to compile applications with libgpod.
Summary(ja): libgpod を使うアプリケーションのコンパイルに必要なファイル.
Group: Development/Libraries
Requires: libgpod = %{version}-%{release}
Requires: glib2-devel >= 2.8.0

%description devel
Libraries, headers, and support files necessary to compile applications 
using libgpod.

%description -l ja devel
libgpod を使ったアプリケーションのコンパイルに必要なライブラリ，
ヘッダファイルなどが含まれています．

%prep
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/libgpod

%changelog
* Wed Jun 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.2-1
- new upstream release
- remove static library

* Sat Oct 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-3vl5
- added BuildRequires: libffi-devel

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.0-2vl5
- spec in utf-8

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.0-1vl5
- applied new versioning policy

* Thu Jan 03 2008 Satoshi MACHINO <machino@vinelinux.org> 0.6.0-0vl1
- new upstream release

* Tue May 29 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.4.2-0vl2
- for VineSeedPlus
- new upstream release
- built with new toolchain

* Sun Oct  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.0-0vl1
- new upstream release
- build with dbus-0.62

* Mon Mar 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- new upstream release
- build with dbus-0.61

* Wed Dec 14 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.0-0vl1
- initial package
